package Mkcd::Config;

use Mkcd::Package qw(%ARCH);
our @ISA = qw(Exporter);
our @EXPORT = qw(%config);

our $topdir = `pwd`;
chop $topdir;
our %config = (
    lists => [],
    fast => 0,
    nodeps => 0,
    verbose => 0,
    print => 0,
    printscript => 0,
    nolive => 0,
    noiso => 0,
    deps => 0,
    nosrcfit => 0,
    nosrc => 0,
    product => 0,
    bugzilla => 0,
    builddir => 0,
    topdir => $topdir,
    discsize => 681000000,
    isodir => 0,
    filetag => 0,
    Publisher => 'Mandriva',
    sysid => 'Mandriva Linux',
    log => 0,
    mkisoopt => " -r -J -hide-rr-moved -nobak -cache-inodes",
    tmp => $ENV{TMPDIR} || "$topdir/tmp",
    disc_building_tries => 3,
    rejected_options => { 
	config => "Could not comply with packages filter directives",
	no_disc => "Could not add more disc for this package",
	no_space => "Not enough space",
	deps => "Missing dependencies",
	old_version => "More recent version found",
	deps_rejected => "Some needed dependencies rejected",
	excluded => "Explicitely excluded",
	order_pb => "Needed dependency could not be put before",
	sequential => "Could not add interlist dependencies in sequential mode",
	autodeps => "not selected in rpm lists"
    },
    optimize_space => 1,
    ARCH => \%ARCH,
    # keys must be integers
    struct => { 
	'10.0' => { 
	    install => 'Mandrake',
	    media_hdlist => '',
	    media_info => 'Mandrake/base',
	    media => 'Mandrake/RPMS',
	    media_base => 'Mandrake',
	    srpm_media => 'Mandrake/SRPMS',
	    isolinux => 'isolinux',
	    images => 'images',
	    extra => 'Mandrake/share',
	    patch => 'Mandrake/base',
	    stage2 => 'Mandrake/mdkinst',
	    compssUsers => 'compssUsers',
	},
    	'10.1' => {
	    install => 'install',
	    media_hdlist => 'media_info',
	    media_info => 'media/media_info',
	    media => 'media/main',
	    media_base => 'media',
	    srpm_media => 'SRPMS/main',
	    isolinux => 'isolinux',
	    images => 'install/images',
	    extra => 'install/extra',
	    patch => 'install',
	    stage2 => 'install/stage2',
	    compssUsers => 'compssUsers.pl',
	},
	'2007.0' => {
	    prefix => '__ARCH__',
	    install => 'install',
	    media_hdlist => 'media_info',
	    media_info => 'media/media_info',
	    media => 'media/main',
	    media_base => 'media',
	    srpm_media => 'SRPMS/main',
	    isolinux => 'isolinux',
	    images => 'install/images',
	    extra => 'install/extra',
	    patch => 'install',
	    stage2 => 'install/stage2',
	    compssUsers => 'compssUsers.pl',
	},
    },
    # must be an int
    struct_version => '2007.0',
    version => '4.2.0',
    boot_cat_fatal_location => [ 929, 740 ],
);


